## xulrunner 24.8.1esr

=== security/nss/lib/jar/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

=== security/nss/lib/ssl/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

ifeq (,$(filter-out WIN%,$(OS_TARGET)))
CSRCS	+= win32err.c
DEFINES += -DIN_LIBSSL
else
ifeq ($(OS_TARGET),OS2)
CSRCS	+= os2_err.c
else
CSRCS	+= unix_err.c
endif
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

export:: private_export

ifndef NSS_NO_PKCS11_BYPASS
# indicates dependency on freebl static lib
$(SHARED_LIBRARY): $(CRYPTOLIB)
endif

=== security/nss/pkg/solaris/SUNWtlsd/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

CORE_DEPTH = ../../../..
include ../Makefile-devl.com

DATAFILES +=

all:: $(FILES)
publish:: all pkg

include ../Makefile-devl.targ

=== debian/changelog ===
xulrunner (24.8.1esr-2~deb7u1) stable-security; urgency=medium

  * debian/control*, debian/extra-stuff/Makefile.in,
    debian/installer/Makefile.in, debian/rules, debian/upstream.mk,
    debian/noinstall.in: Only build xulrunner.
  * debian/branding/*, debian/browser.*, debian/debsearch.xml,
    debian/duckduckgo.xml, debian/firefox.in,
    debian/installer/package-manifest.browser, debian/l10n.filter,
    debian/l10n/*, debian/source/include-binaries, debian/vendor.js.in:
    Removed.
  * debian/patches: Unapplied and removed iceweasel-specific patches.

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Oct 2014 15:08:25 +0900

iceweasel (24.8.1esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-73, also known as CVE-2014-1568.

 -- Mike Hommey <glandium@debian.org>  Thu, 25 Sep 2014 07:30:41 +0900

iceweasel (24.8.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{67,72}, also known as
    CVE-2014-1562, CVE-2014-1567.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Sep 2014 12:14:25 +0900

iceweasel (24.7.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{56,61-64}, also known as
    CVE-2014-1547, CVE-2014-1555, CVE-2014-1556, CVE-2014-1544,
    CVE-2014-1557.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2014 07:09:08 +0900

iceweasel (24.6.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{48-49,52,55}, also known as
    CVE-2014-1533, CVE-2014-1538, CVE-2014-1541, CVE-2014-1545.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jun 2014 07:58:42 +0900

iceweasel (24.5.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{34,37-38,42-44,46}, also known as
    CVE-2014-1518, CVE-2014-1523, CVE-2014-1524, CVE-2014-1529,
    CVE-2014-1530, CVE-2014-1531, CVE-2014-1532.

  * debian/control.in: Don't depend on nss and nspr dev and dbg packages when
    building with LESS_SYSTEM_LIBS. Closes: #744187.
  * debian/control*, debian/browser.mozconfig, debian/xulrunner.mozconfig.in:
    Disable gstreamer support. Because the ffmpeg gstreamer 0.10 plugin is not
    available in testing/unstable anymore, and gstreamer support is not
    enabled by default anyways.
  * debiab/control*: Build depend on iso-codes.

 -- Mike Hommey <glandium@debian.org>  Tue, 29 Apr 2014 07:10:56 -0700

iceweasel (24.4.0esr-1~deb7u2) stable-security; urgency=low

  * debian/rules: Disable the test suite.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2014 16:45:40 +0900

iceweasel (24.4.0esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2014-{15,17,26-32}, also known as
    CVE-2014-1493, CVE-2014-1497, CVE-2014-1508, CVE-2014-1509,
    CVE-2014-1505, CVE-2014-1510, CVE-2014-1511, CVE-2014-1512,
    CVE-2014-1513, CVE-2014-1514.

  * debian/noinstall.in, debian/xulrunner-dev.install.in: Install
    mozilla-nspr.pc and mozilla-nss.pc when building backports. Closes: #739490.

  * xulrunner/installer/mozilla-ns*.pc.in: Fix includedir in mozilla-nspr.pc
    and mozilla-nss.pc. bz#985200.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2014 08:28:20 +0900

iceweasel (24.3.0esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2014-{01-02,04,08-09,13} also known as
    CVE-2014-1477, CVE-2014-1479, CVE-2014-1482, CVE-2014-1486,
    CVE-2014-1487, CVE-2014-1481.

  * Import patches from the nss source package that are relevant to building
    iceweasel against the in-tree nss source, for backports:
    - security/nss/lib/freebl/unix_rand.c,
      security/nss/cmd/shlibsign/shlibsign.c: Fix FTBFS on Hurd because of
      MAXPATHLEN
    - security/nss/coreconf/Linux.mk,
      security/nss/coreconf/arch.mk, security/nss/coreconf/config.mk,
      security/nss/lib/freebl/unix_rand.c, security/nss/lib/softoken/softoken.h,
      security/nss/lib/ssl/sslmutex.*: GNU/kFreeBSD support.
    - security/nss/lib/ckfw/builtins/certdata.txt: Adds the SPI Inc. and
      CAcert.org CA certificates.
  * debian/copyright, debian/rules: Update copyright info. Closes: #735297.
  * debian/source.filter:
    - Remove build/pgo/blueprint/valid.png from the source archive.
      Closes: #736592
    - Remove minified jquery from source archive. Closes: #736725.
  * debian/control*: Bump nspr and nss build dependencies.
  * debian/rules: Work around build failure following the removal of valid.png.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Feb 2014 06:50:49 +0900

iceweasel (24.2.0esr-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2013-{104,108-109,111,113-116}, also known as
    CVE-2013-5609, CVE-2013-5616, CVE-2013-5618, CVE-2013-6671,
    CVE-2013-6673, CVE-2013-5613, CVE-2013-5615, CVE-2013-6629,
    CVE-2013-6630.

  * debian/control*, debian/noinstall.in, debian/rules, debian/upstream.mk,
    debian/xulrunner-GRE_VERSION.install.in, debian/xulrunner.mozconfig:
    Don't build against system nspr, nss and sqlite3 when building backports.
  * debian/control*, debian/xulrunner.mozconfig.in: Build with the in-tree
    cairo. I think it's time to admit that there are too many issues with
    system cairo.
  * debian/rules: Ensure debian/control is updated when running debian/rules
    clean.

  * configure*: Fixup NSPR_CFLAGS when building with libxul-sdk and in-tree
    nspr.

 -- Mike Hommey <glandium@debian.org>  Sun, 15 Dec 2013 15:13:58 +0900

iceweasel (24.1.0esr-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2013-{93-102}, also known as
    CVE-2013-5590, CVE-2013-5591, CVE-2013-5593, CVE-2013-5604,
    CVE-2013-5595, CVE-2013-5596, CVE-2013-5597, CVE-2013-5598,
    CVE-2013-5599, CVE-2013-5600, CVE-2013-5601, CVE-2013-5602,
    CVE-2013-5603.

  * debian/rules: Don't try to disable methodjit, since it's long gone.


=== debian/control ===
Source: xulrunner
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7.2.3),
               libx11-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libgnomevfs2-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev | libreadline5-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libvpx-dev (>= 1.0.0),
               mesa-common-dev,
               yasm (>= 1.1),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf | ttf-freefont,
               fonts-dejima-mincho | ttf-dejima-mincho,
               imagemagick,
               librsvg2-bin,
               xsltproc,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceweasel.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceweasel.git

Package: xulrunner-24.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmozjs24d (= ${binary:Version})
Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3)
Description: XUL + XPCOM application runner
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.
 .
 XUL is Mozilla's XML based User Interface language that lets you build
 feature-rich cross platform applications. These applications are easily
 customized with alternative text, graphics and layout so that they can be
 readily branded or localized for various markets. Web developers already
 familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start
 building applications right away.
 .
 XPCOM is a cross platform component model. It has multiple language
 bindings and IDL descriptions so programmers can plug their custom
 functionality into the framework and connect it with other components.
 .
 This package also contains the Gecko engine library (libxul)
Homepage: http://developer.mozilla.org/en/docs/XULRunner

Package: libmozjs24d
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
Homepage: http://www.mozilla.org/js/

Package: libmozjs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmozjs24d (= ${binary:Version}),
         libnspr4-dev
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 Install this package if you wish to develop your own programs using the
 Mozilla SpiderMonkey JavaScript library.
Homepage: http://www.mozilla.org/js/

Package: libmozjs24d-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmozjs24d (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 This package provides the debugging symbols for the library and for
 the spidermonkey-bin package.
Homepage: http://www.mozilla.org/js/

Package: spidermonkey-bin
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: standalone JavaScript/ECMAScript (ECMA-262) interpreter
 SpiderMonkey is a standalone JavaScript/ECMAScript interpreter. It can either
 take input from files or from a command line driven interface.
 It is not recommended for production use, as it contains dangerous
 (security-wise) debugging features.
 .
 ECMAScript (ECMA-262) is a dynamic scripting language supporting prototype
 based object construction. The basic syntax is intentionally similar to
 both Java and C++ to reduce the number of new concepts required to learn
 the language. Language constructs, such as if statements, for and while
 loops, and switch and try ... catch blocks function the same as these
 languages (or nearly so).
 .
 JavaScript is a superset of the ECMA-262 Edition 3 (ECMAScript) standard
 first introduced by Netscape and now led by the Mozilla project.
Homepage: http://www.mozilla.org/js/

Package: xulrunner-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         xulrunner-24.0 (= ${binary:Version}),
         libmozjs-dev (= ${binary:Version})
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: xulrunner-24.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xulrunner-24.0 (= ${binary:Version}),
         libmozjs24d-dbg (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 This package provides the debugging symbols for the xulrunner-24.0
 package.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
# and disable read-only relocations.
dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))

PYTHON := python -B

PRODUCT := browser
PRODUCT_NAME := firefox
include debian/upstream.mk

ifdef BACKPORT
LESS_SYSTEM_LIBS = 1
endif

ifeq ($(DEBIAN_SOURCE),$(PRODUCT_NAME))
MOZILLA_OFFICIAL := 1
endif

LDFLAGS :=
# ld crashes for some files because of --as-needed :(
ifeq (,$(filter ia64,$(DEB_BUILD_ARCH)))
LDFLAGS += -Wl,--as-needed
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Somehow, this breaks the build on ia64.
ifeq (,$(filter ia64,$(DEB_BUILD_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf js/src/build/autoconf

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),ppc64)
	CFLAGS += -mminimal-toc
endif

ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --disable-necko-wifi
endif

ifneq (,$(filter armel,$(DEB_BUILD_ARCH)))
	CFLAGS += -D__ARM_PCS
endif

ifneq (,$(filter ia64,$(DEB_BUILD_ARCH)))
	CONFIGURE_FLAGS += --enable-optimize=-O2
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifeq (,$(filter debug noopt,$(DEB_BUILD_OPTIONS)))
	GENSYMBOLS_FLAGS := -c4
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif
CXXFLAGS = $(CFLAGS)

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

GENERATED_FILES += debian/dh/dh_xulrunner.1

debian/dh/dh_xulrunner.1: debian/dh/dh_xulrunner
	pod2man -c Debhelper -r $(GRE_VERSION) $^ > $@

build-xulrunner/dist/bin/npapi_getinfo: debian/dh/npapi_getinfo.c
	$(CC) -o $@ $< -Ibuild-xulrunner/dist/include -ldl -lpthread -Wl,-rpath,\$$ORIGIN

IN_FILES := $(wildcard debian/*.in debian/dh/*.in)
preprocessed_filename = $(subst JS_SO_VERSION,$(JS_SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES)
debian/control: debian/rules debian/changelog

DICT_DIR := /usr/share/hunspell

$(PREPROCESSED_FILES): VARS = GRE_VERSION JS_SO_VERSION DICT_DIR LESS_SYSTEM_LIBS
$(PREPROCESSED_FILES):
	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@

%/Makefile: DIR=$(firstword $(subst /, ,$@))
%/Makefile:
	$(DIR)/config.status -n -v --file=$@

%/package-manifest: %/Makefile
	$(MAKE) -C $*

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done
	chmod 755 configure js/src/configure

stamps/configure-xulrunner:: stamps/prepare-configure debian/xulrunner.mozconfig
	$(if $(wildcard build-xulrunner),,mkdir build-xulrunner)
	cd build-xulrunner && \
	MOZCONFIG=$(CURDIR)/debian/xulrunner.mozconfig \
	ASFLAGS="-g" \
	$(CONFIGURE_ENV) \
	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
		--with-default-mozilla-five-home=/usr/lib/xulrunner-$(GRE_VERSION)

stamps/configure-check-xulrunner:: stamps/configure-xulrunner
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { "find $(CURDIR)/build-xulrunner \\( -name autoconf.mk -o -name emptyvars.mk \\) -printf \"%p \"" | getline confs } \
	$$1 ~ /system/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \
			cmd | getline dir; \
			sub(/\/[^\/]*$$/, "", dir); \
			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
			cmd | getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/xulrunner.mozconfig

stamps/build-xulrunner:: stamps/configure-check-xulrunner
	dh_auto_build --parallel --builddirectory=build-xulrunner -- \
		_LEAKTEST_FILES=leaktest.py \
		JS_READLINE=1

stamps/build-xulrunner-extra:: stamps/build-xulrunner build-xulrunner/debian/extra-stuff/Makefile
	$(MAKE) -C build-xulrunner/debian/extra-stuff


override_dh_auto_build: stamps/build-xulrunner-extra

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#include debian/test.mk
endif

override_dh_auto_clean::
	rm -f MPL
	rm -f $(GENERATED_FILES)
	rm -rf stamps
	debian/rules debian/control TESTDIR=

	dh_auto_clean --builddirectory=build-xulrunner
	find . -name "*.pyc" -o -name "*.pyo" | xargs --no-run-if-empty rm -f

	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^exec "/ d' $$dir/$$file; \
		done; \
	done

override_dh_auto_install: stamps/install-xulrunner

stamps/install-xulrunner:: build-xulrunner/debian/installer/package-manifest
	dh_auto_install --sourcedirectory=build-xulrunner/xulrunner/installer -- \
		MOZ_APP_BASE_VERSION=$(GRE_VERSION) \
		MOZ_PKG_MANIFEST=$(CURDIR)/$< \
		MOZ_NONLOCALIZED_PKG_LIST="xpcom xulrunner debian" \
		MOZ_LOCALIZED_PKG_LIST=en-US \
		SIGN_NSS=

	mv debian/tmp/usr/bin/xulrunner debian/tmp/usr/bin/xulrunner-$(GRE_VERSION)

	# Fixup permissions
	find debian/tmp/usr/share debian/tmp/usr/include -type f -print0 | xargs -0 chmod 644

	# Replace some installed files by symlinks
	for d in lib bin; do \
		cd "$(CURDIR)/debian/tmp/usr/lib/xulrunner-devel-$(GRE_VERSION)/sdk/$$d"; \
		for f in *; do \
			if [ -f "$(CURDIR)/debian/tmp/usr/lib/xulrunner-$(GRE_VERSION)/$$f" ]; then \
				rm -f $$f ; ln -s /usr/lib/xulrunner-$(GRE_VERSION)/$$f $$f; \
			fi; \
		done; \
	done

	dh_auto_install --sourcedirectory=build-xulrunner/js/src -- prefix=/usr MODULE=mozjs FORCE_STATIC_LIB= _MOZBUILD_EXTERNAL_VARIABLES= REAL_LIBRARY=
	cp -r debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/js debian/tmp/usr/include/mozjs
	mv debian/tmp/usr/lib/pkgconfig/mozjs.pc debian/tmp/usr/lib/pkgconfig/mozilla-js.pc
	rm debian/tmp/usr/bin/js-config
	find debian/tmp/usr/include/mozjs -type f -printf %P\\n | while read f; do \
		file=$$(echo debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$f); \
		rm $$file; \
		ln -s /usr/include/mozjs/$$f $$file; \
	done
ifndef LESS_SYSTEM_LIBS
	for f in /usr/include/nspr/* /usr/include/nss/*; do \
		ln -s $$f debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$(basename $$f); \
	done
endif
	for h in $$(grep -l -r EXPORTS build-xulrunner/media | grep Makefile$ | \
		while read f; do $(MAKE) --no-print-directory -C $$(dirname $$f) echo-variable-EXPORTS echo-variable-EXPORTS_NAMESPACES; done); do \
		rm -rf debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$h; \
	done

	mv debian/tmp/usr/bin/js debian/tmp/usr/bin/smjs
